{ pkgs, ... }:
let
    settings = import ./../settings.nix;
in
{
    xdg.portal = {
        enable = true;
        extraPortals = settings.xdg.extraPortals;
    };

    environment.systemPackages = settings.xdg.extraPortals;
}
